com.amazonaws.services.lambda.model

## Class Environment

- java.lang.Object
- - com.amazonaws.services.lambda.model.Environment

All Implemented Interfaces:
  Serializable, Cloneable

    public class Environment
    extends Object
    implements Serializable, Cloneable

The parent object that contains your environment's configuration settings.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Environment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Environment` `addVariablesEntry(String key, String value)`
`Environment` `clearVariablesEntries()` Removes all the entries added into Variables.
`Environment` `clone()`
`boolean` `equals(Object obj)`
`Map<String,String>` `getVariables()` The key-value pairs that represent your environment's configuration settings.
`int` `hashCode()`
`void` `setVariables(Map<String,String> variables)` The key-value pairs that represent your environment's configuration settings.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Environment` `withVariables(Map<String,String> variables)` The key-value pairs that represent your environment's configuration settings.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Environment

    public Environment()

### Method Detail

#### getVariables

    public Map<String,String> getVariables()

The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".

Returns:
  The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".

#### setVariables

    public void setVariables(Map<String,String> variables)

The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".

Parameters:
  `variables` - The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".

#### withVariables

    public Environment withVariables(Map<String,String> variables)

The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".

Parameters:
  `variables` - The key-value pairs that represent your environment's configuration settings. The value you specify cannot contain a ",".
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addVariablesEntry

    public Environment addVariablesEntry(String key,
                                         String value)

#### clearVariablesEntries

    public Environment clearVariablesEntries()

Removes all the entries added into Variables.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Environment clone()

Overrides:
  `clone` in class `Object`